Summary:	Remembers telnet and SSH sessions
Summary(pl.UTF-8):	Zapamiętywanie sesji telnet i SSH
Name:		putty
Version:	0.62
Release:	1
License:	MIT-licensed
Group:		X11/Applications/Networking
Source0:	http://the.earth.li/~sgtatham/putty/latest/%{name}-%{version}.tar.gz
# Source0-md5:	1344b606a680a9036df0fc3a05e62e71
Source1:	putty.desktop
Source2:	puttytel.desktop
Source3:	pterm.desktop
URL:		http://www.chiark.greenend.org.uk/~sgtatham/putty/
Obsoletes:	putty-X11
Obsoletes:	putty-pterm
Obsoletes:	putty-puttytel
BuildRequires:	gtk+2-devel
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	python
BuildRequires:	ImageMagick
BuildRequires:	ImageMagick-coder-png
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	hicolor-icon-theme
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PuTTY is a free implementation of telnet and SSH for Win32 platforms,
along with an xterm terminal emulator, ported into Unix platform.

%description -l pl.UTF-8
PuTTY jest darmową implementacją telnetu i SSH dla platform Win32,
łącznie z emulatorem terminala xterm, przeniesioną na platformę
uniksową.

%package progs
Summary:	PuTTY additional programs
Summary(pl.UTF-8):	Dodatkowe programy dla PuTTY
Group:		X11/Applications/Networking

%description progs
PuTTY is a free implementation of telnet and SSH for Win32 platforms,
along with an xterm terminal emulator, ported into Unix platform.

This package contains additional programs for PuTTY.

%description progs -l pl.UTF-8
PuTTY jest darmową implementacją telnetu i SSH dla platform Win32,
łącznie z emulatorem terminala xterm, przeniesioną na platformę
uniksową.

Ten pakiet zawiera dodatkowe programy dla PuTTY.

%prep
%setup -q

%build
cd unix
%{__make} -f Makefile.gtk \
	CFLAGS="%{rpmcflags} $(pkg-config gtk+-2.0 x11 --cflags) -I. -I.. -I../charset -D _FILE_OFFSET_BITS=64" \
	LDFLAGS="%{rpmldflags}" \
	CC="%{__cc}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_pixmapsdir},%{_desktopdir}}
cd unix
%{__make} -f Makefile.gtk install \
	DESTDIR=$RPM_BUILD_ROOT \
	prefix=%{_prefix} \
	mandir=%{_mandir}
cd ..
cd icons
for size  in 16 32 48 64 96 128 ; do
	dir=$RPM_BUILD_ROOT%{_iconsdir}/hicolor/${size}x${size}/apps
	install -d $dir
	./mkicon.py -T putty_icon ${size} $dir/putty.png
	./mkicon.py -T pterm_icon ${size} $dir/pterm.png
done
cd ..
install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE3} $RPM_BUILD_ROOT%{_desktopdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor

%files
%defattr(644,root,root,755)
%doc LICENCE README
%attr(755,root,root) %{_bindir}/pterm
%attr(755,root,root) %{_bindir}/putty
%attr(755,root,root) %{_bindir}/puttytel
%{_desktopdir}/pterm.desktop
%{_desktopdir}/putty.desktop
%{_desktopdir}/puttytel.desktop
%{_iconsdir}/hicolor/*/apps/pterm.png
%{_iconsdir}/hicolor/*/apps/putty.png
%{_mandir}/man1/pterm.1*
%{_mandir}/man1/putty.1*
%{_mandir}/man1/puttytel.1*

%files progs
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/plink
%attr(755,root,root) %{_bindir}/pscp
%attr(755,root,root) %{_bindir}/psftp
%attr(755,root,root) %{_bindir}/puttygen
%{_mandir}/man1/plink.1*
%{_mandir}/man1/pscp.1*
%{_mandir}/man1/psftp.1*
%{_mandir}/man1/puttygen.1*
%changelog
* Thu Jul 19 2012 Artur Frysiak <artur@frysiak.net> 831c138
Up to 0.62
Merge puttytel and pterm into main package
Generate icons

* Wed Dec 26 2007 blekot <blekot@pld-linux.org> 52895cb
- massive change ( validate errors warrings from desktop-file-validate)
  - sed -i 's,Encoding=UTF-8,,g' *.desktop
  - sed -i "s,.png,,1" `grep -l 'Icon=[^/].*\.png' *.desktop`
  - sed -i "s,MimeType=.*,\0;,g" `grep "MimeType.*semicolon" validate |awk '{print $1}' |tr ":" " "`
  - sed -i 's,MapNotify=.*,,g' *.desktop
  - sed -i '/^$/d' *.desktop
- not all error/warrings validated

* Sun May 20 2007 Paweł Gołaszewski <blues@pld-linux.org> 48f31e3
- 0.60

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 3068711
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 0d9618b
- converted to UTF-8

* Tue Jan 30 2007 lisu <lisu@pld-linux.org> f0ba2ee
- 0.59

* Mon Sep 25 2006 havner <havner@pld-linux.org> 54afee3
- this is bogus now as those manunals exist and are in different dir

* Sun Jul 17 2005 Jakub Bogusz <qboosh@pld-linux.org> 52ad1d6
- updated pl descs

* Sun Jul 17 2005 Elan Ruusamäe <glen@pld-linux.org> 084ae9c
- update URL
- rel 2

* Sun Jul 17 2005 Elan Ruusamäe <glen@pld-linux.org> f9b2e35
- X11 renamed to main package
- main package renamed to progs package
- cleanups

* Sat Jul 16 2005 Elan Ruusamäe <glen@pld-linux.org> 93b3bb2
- propose to fix package naming

* Wed Apr 06 2005 Sławomir Paszkiewicz <paszczus@pld-linux.org> 4a89f8c
- updated to 0.58

* Fri Mar 18 2005 darekr <darekr@pld-linux.org> 7f57764
- simplified %prep; quote CC

* Mon Feb 21 2005 Paweł Cyranek <pawel.cyranek@gmail.com> c71b01f
- updated to 0.57 , security fixes

* Fri Oct 29 2004 Paweł Gołaszewski <blues@pld-linux.org> a8752bb
- release 2

* Fri Oct 29 2004 Paweł Gołaszewski <blues@pld-linux.org> ff12a55
- release 1.1

* Tue Oct 26 2004 domelu <domelu@pld-linux.org> 648870c
- SECURITY UPDATE, up to 0.56 (NFY)

* Sat Sep 11 2004 wolf <wolf@pld-linux.org> cf3eb71
- fixed group
- rel 3

* Tue Aug 10 2004 Paweł Gołaszewski <blues@pld-linux.org> 096ac0b
- release 2

* Tue Aug 10 2004 Paweł Gołaszewski <blues@pld-linux.org> 0055c41
- release 1.1

